net.minecraft.logging

## Class LogAgent

- java.lang.Object
- - net.minecraft.logging.LogAgent

- All Implemented Interfaces:
    ILogAgent

      public class LogAgent
      extends Object
      implements ILogAgent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogAgent(String par1Str, String par2Str, String par3Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Logger` | `func_120013_a()`
    `void` | `logFine(String par1Str)`
    `void` | `logInfo(String par1Str)`
    `void` | `logSevere(String par1Str)`
    `void` | `logSevereException(String par1Str, Throwable par2Throwable)`
    `void` | `logWarning(String par1Str)`
    `void` | `logWarningException(String par1Str, Throwable par2Throwable)`
    `void` | `logWarningFormatted(String par1Str, Object... par2ArrayOfObj)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogAgent

          public LogAgent(String par1Str,
                  String par2Str,
                  String par3Str)

  - ### Method Detail

    - #### logInfo

          public void logInfo(String par1Str)

      Specified by:
        `logInfo` in interface `ILogAgent`

    - #### func_120013_a

          public Logger func_120013_a()

      Specified by:
        `func_120013_a` in interface `ILogAgent`

    - #### logWarning

          public void logWarning(String par1Str)

      Specified by:
        `logWarning` in interface `ILogAgent`

    - #### logWarningFormatted

          public void logWarningFormatted(String par1Str,
                                 Object... par2ArrayOfObj)

      Specified by:
        `logWarningFormatted` in interface `ILogAgent`

    - #### logWarningException

          public void logWarningException(String par1Str,
                                 Throwable par2Throwable)

      Specified by:
        `logWarningException` in interface `ILogAgent`

    - #### logSevere

          public void logSevere(String par1Str)

      Specified by:
        `logSevere` in interface `ILogAgent`

    - #### logSevereException

          public void logSevereException(String par1Str,
                                Throwable par2Throwable)

      Specified by:
        `logSevereException` in interface `ILogAgent`

    - #### logFine

          public void logFine(String par1Str)

      Specified by:
        `logFine` in interface `ILogAgent`